%define debug_package %{nil}
%{!?commit:
%global commit 87f3275041586e82dc3718bcf2ece145a62f05e6
}
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:           machine-config-daemon
Version:        4.5.0
Release:        202012050338.p0.git.2581.e7a62a7%{?dist}
Summary:        https://github.com/openshift/machine-config-operator
License:        ASL 2.0
URL:            https://github.com/openshift/machine-config-operator
Source0: machine-config-daemon-git-2581.e7a62a7.tar.gz

BuildRequires:  git
BuildRequires:  %{?go_compiler:compiler(go-compiler)}%{!?go_compiler:golang >= 1.13}

%description
[Maintainer] product: OpenShift Container Platform, component: Machine Config Operator
%{summary}

%prep
%autosetup -Sgit -n machine-config-daemon-git-2581.e7a62a7 -p1

%build
# By default go build doesn't uses vendored packags with Go modules
# Should be fixed with Go 1.14 - https://github.com/golang/go/issues/33848
env VERSION_OVERRIDE=%{version} SOURCE_GIT_COMMIT=%{commit} GOFLAGS='-mod=vendor' WHAT='machine-config-daemon' ./hack/build-go.sh

%install
install -D -m 0755 _output/linux/*/%{name} $RPM_BUILD_ROOT/usr/libexec/%{name}
install -D -m 0755 cmd/machine-config-daemon/pivot.sh $RPM_BUILD_ROOT/%{_bindir}/pivot

%files
%license LICENSE
%doc docs/README.md
%{_libexecdir}/%{name}
%{_bindir}/pivot
